package Common.Visual.Controls;
import Common.Visual.UI_;
import Common.Visual.Themes.ThemeElement;

import javax.swing.*;
public class StyledProgressBar extends JProgressBar implements ThemeElement {
    public StyledProgressBar() {
        setStringPainted(true);
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(UI_.getTheme().bar_background);
        setForeground(UI_.getTheme().bar_foreground);
    }
}
